Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1338)
+++ palm/trunk/SOURCE/Makefile	(revision 1359)
@@ -20,5 +20,6 @@
 # Current revisions:
 # ------------------
-# 
+# mod_particle_attributes added, lpm_sort_arrays removed, 
+# lpm_extend_particle_array removed
 #
 # Former revisions:
@@ -174,11 +175,11 @@
 	lpm_data_output_particles.f90 lpm_droplet_collision.f90 \
 	lpm_droplet_condensation.f90 lpm_exchange_horiz.f90 \
-	lpm_extend_particle_array.f90 lpm_extend_tails.f90 \
+	lpm_extend_tails.f90 \
 	lpm_extend_tail_array.f90 lpm_init.f90 lpm_init_sgs_tke.f90 \
 	lpm_pack_arrays.f90 lpm_read_restart_file.f90 lpm_release_set.f90 \
-	lpm_set_attributes.f90 lpm_sort_arrays.f90 \
+	lpm_set_attributes.f90 \
 	lpm_write_exchange_statistics.f90 lpm_write_restart_file.f90 \
 	ls_forcing.f90 message.f90 microphysics.f90 modules.f90 mod_kinds.f90 \
-	netcdf.f90 nudging.f90 \
+	mod_particle_attributes.f90 netcdf.f90 nudging.f90 \
 	package_parin.f90 palm.f90 parin.f90 plant_canopy_model.f90 poisfft.f90 \
 	poismg.f90 prandtl_fluxes.f90 pres.f90 print_1d.f90 \
@@ -261,11 +262,11 @@
 data_log.o: modules.o mod_kinds.o
 data_output_dvrp.o: modules.o cpulog.o mod_kinds.o
-data_output_mask.o: modules.o cpulog.o mod_kinds.o
+data_output_mask.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
 data_output_profiles.o: modules.o cpulog.o mod_kinds.o
-data_output_ptseries.o: modules.o cpulog.o mod_kinds.o
+data_output_ptseries.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
 data_output_spectra.o: modules.o cpulog.o mod_kinds.o
 data_output_tseries.o: modules.o cpulog.o mod_kinds.o
-data_output_2d.o: modules.o cpulog.o mod_kinds.o
-data_output_3d.o: modules.o cpulog.o mod_kinds.o
+data_output_2d.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
+data_output_3d.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
 diffusion_e.o: modules.o mod_kinds.o
 diffusion_s.o: modules.o mod_kinds.o
@@ -286,5 +287,6 @@
 inflow_turbulence.o: modules.o cpulog.o mod_kinds.o
 init_1d_model.o: modules.o mod_kinds.o
-init_3d_model.o: modules.o cpulog.o mod_kinds.o random_function.o advec_ws.o ls_forcing.o
+init_3d_model.o: modules.o cpulog.o mod_kinds.o random_function.o advec_ws.o \
+	ls_forcing.o lpm_init.o
 init_advec.o: modules.o mod_kinds.o
 init_cloud_physics.o: modules.o mod_kinds.o
@@ -304,25 +306,34 @@
 local_tremain.o: modules.o cpulog.o mod_kinds.o
 local_tremain_ini.o: modules.o cpulog.o mod_kinds.o
-lpm.o: modules.o cpulog.o mod_kinds.o
-lpm_advec.o: modules.o mod_kinds.o
-lpm_boundary_conds.o: modules.o cpulog.o mod_kinds.o
-lpm_calc_liquid_water_content.o: modules.o cpulog.o mod_kinds.o
-lpm_collision_kernels.o: modules.o cpulog.o user_module.o mod_kinds.o
-lpm_data_output_particles.o: modules.o cpulog.o mod_kinds.o
-lpm_droplet_collision.o: modules.o cpulog.o lpm_collision_kernels.o mod_kinds.o
-lpm_droplet_condensation.o: modules.o cpulog.o lpm_collision_kernels.o mod_kinds.o
-lpm_exchange_horiz.o: modules.o cpulog.o mod_kinds.o
-lpm_extend_particle_array.o: modules.o mod_kinds.o
-lpm_extend_tails.o: modules.o mod_kinds.o
-lpm_extend_tail_array.o: modules.o mod_kinds.o
-lpm_init.o: modules.o lpm_collision_kernels.o mod_kinds.o random_function.o
-lpm_init_sgs_tke.o: modules.o mod_kinds.o
-lpm_pack_arrays.o: modules.o mod_kinds.o
-lpm_read_restart_file.o: modules.o mod_kinds.o
-lpm_release_set.o: modules.o mod_kinds.o random_function.o
-lpm_set_attributes.o: modules.o cpulog.o mod_kinds.o
-lpm_sort_arrays.o: modules.o cpulog.o mod_kinds.o
-lpm_write_exchange_statistics.o: modules.o mod_kinds.o
-lpm_write_restart_file.o: modules.o mod_kinds.o
+lpm.o: modules.o cpulog.o lpm_exchange_horiz.o lpm_pack_arrays.o mod_kinds.o \
+	mod_particle_attributes.o
+lpm_advec.o: modules.o mod_kinds.o mod_particle_attributes.o
+lpm_boundary_conds.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
+lpm_calc_liquid_water_content.o: modules.o cpulog.o mod_kinds.o \
+	mod_particle_attributes.o
+lpm_collision_kernels.o: modules.o cpulog.o user_module.o mod_kinds.o \
+	mod_particle_attributes.o
+lpm_data_output_particles.o: modules.o cpulog.o mod_kinds.o \
+	mod_particle_attributes.o
+lpm_droplet_collision.o: modules.o cpulog.o lpm_collision_kernels.o \
+	mod_kinds.o mod_particle_attributes.o
+lpm_droplet_condensation.o: modules.o cpulog.o lpm_collision_kernels.o \
+	mod_kinds.o mod_particle_attributes.o
+lpm_exchange_horiz.o: modules.o cpulog.o lpm_pack_arrays.o mod_kinds.o \
+	mod_particle_attributes.o
+lpm_extend_tails.o: modules.o mod_kinds.o mod_particle_attributes.o
+lpm_extend_tail_array.o: modules.o mod_kinds.o mod_particle_attributes.o
+lpm_init.o: modules.o lpm_collision_kernels.o mod_kinds.o \
+	random_function.o mod_particle_attributes.o lpm_exchange_horiz.o \
+	lpm_pack_arrays.o
+lpm_init_sgs_tke.o: modules.o mod_kinds.o mod_particle_attributes.o
+lpm_pack_arrays.o: modules.o mod_kinds.o mod_particle_attributes.o
+lpm_read_restart_file.o: modules.o mod_kinds.o mod_particle_attributes.o \
+	lpm_pack_arrays.o
+lpm_release_set.o: modules.o mod_kinds.o random_function.o \
+	mod_particle_attributes.o lpm_init.o
+lpm_set_attributes.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
+lpm_write_exchange_statistics.o: modules.o mod_kinds.o mod_particle_attributes.o
+lpm_write_restart_file.o: modules.o mod_kinds.o mod_particle_attributes.o
 ls_forcing.o: modules.o cpulog.o mod_kinds.o
 message.o: modules.o mod_kinds.o
@@ -330,4 +341,5 @@
 modules.o: modules.f90 mod_kinds.o
 mod_kinds.o: mod_kinds.f90
+mod_particle_attributes.o: mod_particle_attributes.f90 mod_kinds.o
 netcdf.o: modules.o mod_kinds.o
 nudging.o: modules.o buoyancy.o cpulog.o mod_kinds.o
@@ -343,9 +355,9 @@
 production_e.o: modules.o mod_kinds.o wall_fluxes.o
 prognostic_equations.o: modules.o advec_s_pw.o advec_s_up.o advec_u_pw.o \
-	advec_u_up.o advec_v_pw.o advec_v_up.o advec_w_pw.o advec_w_up.o  \
-   advec_ws.o buoyancy.o calc_precipitation.o calc_radiation.o coriolis.o \
+	advec_u_up.o advec_v_pw.o advec_v_up.o advec_w_pw.o advec_w_up.o \
+	advec_ws.o buoyancy.o calc_precipitation.o calc_radiation.o coriolis.o \
 	cpulog.o diffusion_e.o diffusion_s.o diffusion_u.o diffusion_v.o diffusion_w.o \
 	eqn_state_seawater.o impact_of_latent_heat.o mod_kinds.o microphysics.o \
-        nudging.o plant_canopy_model.o production_e.o subsidence.o user_actions.o
+	nudging.o plant_canopy_model.o production_e.o subsidence.o user_actions.o
 random_function.o: mod_kinds.o
 random_gauss.o: mod_kinds.o random_function.o
